package br.edu.ifba.ads.mediaCenter;

public class ServidorBasico extends Servidor{
    private double latenciaLeitura;
    private double latenciaEscrita;    
    private long capacidadeOcupada;
    private long capacidadeTotal;
    
   
    public ServidorBasico(String id, long capacidadeTotal, double latenciaLeitura,
                          double latenciaEscrita){
      super(id);
      this.capacidadeOcupada = 0;
      this.capacidadeTotal = capacidadeTotal;
      this.latenciaLeitura = latenciaLeitura;
      this.latenciaEscrita = latenciaEscrita;
    }    
    
    public long getCapacidade(){
        return this.capacidadeTotal - this.capacidadeOcupada;
    }  
    
    public double getLatenciaEscrita(){
        return this.latenciaEscrita;
    } 
    
    public double getLatenciaLeitura(){
        return this.latenciaLeitura;
    } 
    
    public void desocupar(long tamanho){
        this.capacidadeOcupada -= tamanho;
    };     
    
    
     public void ocupar(long tamanho){
         this.capacidadeOcupada += tamanho;
     }; 
    
}
